<div class="mt-2 ms-5">
  <div class="row" *ngFor="let category of categories; let i=index">
    <div class="col-2 d-flex justify-content-center">
      <a [routerLink]="['/admin/categories/edit', category._id]">
        <img src="assets/images/missing.png" alt="Sin Imagen" class="img-fluid" *ngIf="!category.image">
        <img [src]="category._id | image: 'categories'" alt="category.image" class="img-fluid" *ngIf="category.image" (error)="replaceImage(image)" #image>
      </a>
    </div>
    <div class="col-7 d-flex align-items-center">
      <a [routerLink]="['/admin/categories/edit', category._id]">
        <span *ngIf="serviceTranslation.getLang() == 'es'">
          <span *ngIf="category.name.es">{{ category.name.es }}</span>
          <span *ngIf="!category.name.es">Editar</span>
        </span>
        <span *ngIf="serviceTranslation.getLang() == 'en'">
          <span *ngIf="category.name.en">{{ category.name.en }}</span>
          <span *ngIf="!category.name.en">Editar</span>
        </span>
      </a>
    </div>
    <div class="col-2 text-center">
        <fa-icon [icon]="faPlus" class="text-primary cursor" [routerLink]="['/admin/categories/subcategories/create', category._id]"></fa-icon>
        <fa-icon [icon]="faPowerOff" class="text-success ms-2 cursor" *ngIf="category.active" (click)="active(category._id, category.active)"></fa-icon>
        <fa-icon [icon]="faPowerOff" class="text-danger ms-2 cursor" *ngIf="!category.active" (click)="active(category._id, category.active)"></fa-icon>
        <fa-icon [icon]="faTrashAlt" class="text-danger ms-2 cursor" (click)="delete(category._id)"></fa-icon>
    </div>
    <app-subcateries-categories [parent]="category._id"></app-subcateries-categories>
  </div>
</div>
